Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fasterxml.aalto.util
Interface XmlConsts

All Known Implementing Classes:
  AsyncByteScanner, AsyncUtfScanner, ByteBasedScanner, ByteSourceBootstrapper, CharsetNames, CharSourceBootstrapper, InputBootstrapper, ReaderScanner, StreamScanner, Utf8Scanner, XmlScanner

    public interface XmlConsts

Simple constant container interface, shared by input and output sides.

Author:
  Tatu Saloranta

Field Summary
`static char` | `CHAR_CR`
`static char` | `CHAR_LF`
`static char` | `CHAR_NULL`
`static char` | `CHAR_SPACE`
`static int` | `MAX_UNICODE_CHAR` This constant defines the highest Unicode character allowed in XML content.
`static String` | `STAX_DEFAULT_OUTPUT_ENCODING`
`static String` | `STAX_DEFAULT_OUTPUT_VERSION`
`static String` | `XML_DECL_KW_ENCODING`
`static String` | `XML_DECL_KW_STANDALONE`
`static String` | `XML_DECL_KW_VERSION`
`static String` | `XML_SA_NO`
`static String` | `XML_SA_YES`
`static int` | `XML_V_10`
`static String` | `XML_V_10_STR`
`static int` | `XML_V_11`
`static String` | `XML_V_11_STR`
`static int` | `XML_V_UNKNOWN` This constants refers to cases where the version has not been declared explicitly; and needs to be considered to be 1.0.

Field Detail

### XML_DECL_KW_ENCODING

    static final String XML_DECL_KW_ENCODING

See Also:
  Constant Field Values

### XML_DECL_KW_VERSION

    static final String XML_DECL_KW_VERSION

See Also:
  Constant Field Values

### XML_DECL_KW_STANDALONE

    static final String XML_DECL_KW_STANDALONE

See Also:
  Constant Field Values

### XML_V_10_STR

    static final String XML_V_10_STR

See Also:
  Constant Field Values

### XML_V_11_STR

    static final String XML_V_11_STR

See Also:
  Constant Field Values

### XML_V_UNKNOWN

    static final int XML_V_UNKNOWN

  This constants refers to cases where the version has not been declared explicitly; and needs to be considered to be 1.0.

  See Also:
    Constant Field Values

### XML_V_10

    static final int XML_V_10

See Also:
  Constant Field Values

### XML_V_11

    static final int XML_V_11

See Also:
  Constant Field Values

### XML_SA_YES

    static final String XML_SA_YES

See Also:
  Constant Field Values

### XML_SA_NO

    static final String XML_SA_NO

See Also:
  Constant Field Values

### MAX_UNICODE_CHAR

    static final int MAX_UNICODE_CHAR

  This constant defines the highest Unicode character allowed in XML content.

  See Also:
    Constant Field Values

### CHAR_NULL

    static final char CHAR_NULL

See Also:
  Constant Field Values

### CHAR_SPACE

    static final char CHAR_SPACE

See Also:
  Constant Field Values

### CHAR_CR

    static final char CHAR_CR

See Also:
  Constant Field Values

### CHAR_LF

    static final char CHAR_LF

See Also:
  Constant Field Values

### STAX_DEFAULT_OUTPUT_ENCODING

    static final String STAX_DEFAULT_OUTPUT_ENCODING

See Also:
  Constant Field Values

### STAX_DEFAULT_OUTPUT_VERSION

    static final String STAX_DEFAULT_OUTPUT_VERSION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Fasterxml.com. All Rights Reserved.